/*
 * uart1.h
 *
 * Created 14 Nov 2013
 * Author: Joel Heck
 * 
 * Adapted from code "uart1.h" created by Brian on 30 Mar 2012 for a 4760
 * project
 * 
 * Declares functions for using UART1
 */

#ifndef UART1_H_
#define UART1_H_

#include "main.h"

/* UART Baud Rate */
#define UART1_BAUD  9600
#define BAUD1_PRESCALE (((F_CPU / (UART1_BAUD * 16UL))) - 1)

void uart1_init(int_func receive_function);

int8_t uart1_send_buff(char* buffer, uint8_t num);

int8_t uart1_busy(void);

#endif
